org.apache.lucene.spatial.geohash

## Class GeoHashDistanceFilter

- java.lang.Object
- - org.apache.lucene.search.Filter
  - - org.apache.lucene.spatial.tier.DistanceFilter
    - - org.apache.lucene.spatial.geohash.GeoHashDistanceFilter

- All Implemented Interfaces:
    java.io.Serializable

      public class GeoHashDistanceFilter
      extends DistanceFilter

  NOTE: This API is still in flux and might change in incompatible ways in the next release.

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.spatial.tier.DistanceFilter

      `distance, distanceLookupCache, distances, nextDocBase, precise, startingFilter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeoHashDistanceFilter(org.apache.lucene.search.Filter startingFilter, double lat, double lng, double miles, java.lang.String geoHashField)` Provide a distance filter based from a center point with a radius in miles

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)` Returns true if `o` is equal to this.
    `org.apache.lucene.search.DocIdSet` | `getDocIdSet(org.apache.lucene.index.IndexReader reader)`
    `int` | `hashCode()` Returns a hash code value for this object.

    - ### Methods inherited from class org.apache.lucene.spatial.tier.DistanceFilter

      `getDistance, getDistances, reset, setDistances`

    - ### Methods inherited from class org.apache.lucene.search.Filter

      `bits`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeoHashDistanceFilter

          public GeoHashDistanceFilter(org.apache.lucene.search.Filter startingFilter,
                                       double lat,
                                       double lng,
                                       double miles,
                                       java.lang.String geoHashField)

      Provide a distance filter based from a center point with a radius in miles
      Parameters:
        `startingFilter` -
        `lat` -
        `lng` -
        `miles` -

  - ### Method Detail

    - #### getDocIdSet

          public org.apache.lucene.search.DocIdSet getDocIdSet(org.apache.lucene.index.IndexReader reader)
                                                        throws java.io.IOException

      Overrides:
        `getDocIdSet` in class `org.apache.lucene.search.Filter`
      Throws:
        `java.io.IOException`

    - #### equals

          public boolean equals(java.lang.Object o)

      Returns true if `o` is equal to this.
      Specified by:
        `equals` in class `DistanceFilter`

    - #### hashCode

          public int hashCode()

      Returns a hash code value for this object.
      Specified by:
        `hashCode` in class `DistanceFilter`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.